








/*banner video*/

.banner {
    position: relative;
    overflow: hidden;
}

.video-banner{
    position: inherit;
}

.video-banner::before {
    position: inherit;
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(4, 8, 19, 0.44);
}

.video-banner video {
    width: 100%;
    height: 716px;
    object-fit: cover;
}

.banner-content{
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    padding-block: 150px 90px;
    display: flex;
    align-items: center;
}

.banner-titles{
    display: flex;
    flex-direction: column;
    gap: 60px;
    text-align: center;

}

.small-title *{
    font-family: "Darvish-Bold";
    font-size: 35px;
    color: #fff;
}

.large-title *{
    font-size: 27px;
    color: #fff;
    font-family: "Darvish-Bold";
}



/*banner video*/







/*experience*/

.experience{
    padding-block: 90px;
}

.whole-experience{
    padding-inline: 150px;
}

.all-experiences{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 60px;
}

.bahar-title{
    overflow: hidden;
}

.bahar-title *{
    text-align: center;
    font-family: "Darvish-Bold";
    font-size: 23px;
    color: var(--text-color);
    line-height: 42px;
    margin-bottom: 30px;
}

.additional-title *{
    text-align: center;
    font-size: 13px;
    color: var(--primary-color);
    font-family: "Darvish-Bold";
    margin-bottom: 30px;
}

.bahar-text p{
    text-align: center;
    font-size: 15px;
    color: var(--text-color);
    margin-bottom: 40px;
}

.experience-title{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.ex-number{
    font-size: 39px;
    color: var(--primary-color);
    font-family: "Darvish-Bold";
}

.each-experience{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.ex-item *{
    text-align: center;
    font-size: 13px;
    color: var(--primary-color);
    font-family: "Darvish-Bold";
    margin-bottom: 30px;
}

/*experience*/








/*feature*/



.features .container-fluid{
    padding: 0;
}

.whole-feature {
    position: relative;
    /*background-image: url("../images/feature.jpg");*/
    background-size: cover;
    width: 100%;
    height: 100%;
}

.whole-feature::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.37);
    right: 0;
    top: 0;
    opacity: 0;
    transition: .7s;
}

.whole-feature .container{
    position: relative;
}


.whole-feature{
    padding-block: 160px;
    cursor: pointer;
}

.whole-feature .titles *{
    text-align: center;
}


.titles .baby-title h6{
    color: #fff;
    font-size: 15px;
    font-family: "Darvish-Bold";
    margin-bottom: 30px;
    text-align: center;
    line-height: 30px;
}


.titles .main-title h4{
    color: #fff;
    font-size: 20px;
    font-family: "Darvish-Bold";
    margin-bottom: 30px;
    text-align: center;
}

.my-link{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.my-link .mylink{
    position: relative;
}

.my-link .mylink::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #fff;
    bottom: -10px;
    right: 0;
    transition: .6s;
}

.my-link .mylink *{
    color: #fff;
    padding-bottom: 30px;
    font-family: "Darvish-Bold";
}



@media screen and (min-width: 767px){

    .whole-feature:hover .my-link .mylink::before{
        width: calc(100% - 30px);
        margin-left: 15px;
        margin-right: 15px;
        transition: .6s;
    }

    .whole-feature:hover::before{
        opacity: 1;
        transition: .7s;
        transition-delay: .1s;
    }

}


/*feature*/



/*projects*/

.projects .container-fluid{
}

.col-project{
    margin-bottom: 24px;
}


.each-project{
    position: relative;
    background-size: cover;
    width: 100%;
    height: 100%;
    padding-block: 151px;
    background-position: center;
    padding-inline: 115px;
    display: block;
}

.each-project::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.37);
    right: 0;
    top: 0;
    opacity: 0;
    transition: .7s;
}

.each-project .titles{
    position: relative;
}


@media screen and (min-width: 767px){

    .each-project:hover::before{
        opacity: 1;
        transition: .7s;
        transition-delay: .1s;
    }

    .each-project:hover .my-link .mylink::before{
        width: calc(100% - 30px);
        margin-left: 15px;
        margin-right: 15px;
        transition: .6s;
    }



}


/*projects*/



/*services*/


.service-image{
    width: 100%;
    height: 300px;
}

.service-image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 1s;
}

.each-service{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
}

.service-info{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}

.service-name h3{
    text-align: center;
    font-size: 18px;
    font-family: "Darvish-Bold";
}

.each-service .my-link .mylink * {
    color: var(--text-color);
    padding-bottom: 30px;
}

.each-service .my-link .mylink::before {
    background-color: var(--secondary-color) !important;
}

.each-service{
    padding-block: 30px;
}

@media screen and (min-width: 767px){

    .each-service:hover .service-image img{
        transform: scale(.95);
        transition: 1s;
    }

    .each-service:hover .my-link .mylink::before{
        width: calc(100% - 30px);
        margin-left: 15px;
        margin-right: 15px;
        transition: .6s;
    }

}


/*services*/

























/*responsive*/
/*responsive*/
/*responsive*/
/*responsive*/

@media screen and (max-width: 1199px) {

    .small-title * {
        font-size: 14px;
    }

    .large-title * {
        font-size: 25px;
    }

    .banner-titles {
        display: flex;
        flex-direction: column;
        gap: 38px;
    }

    /*.bahar-title * {*/
    /*    font-size: 19px;*/
    /*    line-height: 34px;*/
    /*    margin-bottom: 25px;*/
    /*}*/

    /*.additional-title * {*/
    /*    font-size: 13px;*/
    /*}*/

    .ex-number {
        font-size: 27px;
    }

    .each-experience {
        gap: 18px;
    }

    .titles .baby-title h6 {
        font-size: 14px;
    }

    .titles .main-title h4 {
        font-size: 17px;
    }

    .each-project {
        padding-block: 87px;
        padding-inline: 80px;
    }

    .titles .baby-title h6 {
        font-size: 13px;
        margin-bottom: 24px;
        line-height: 24px;
    }

    .my-link .mylink * {
        font-size: 13px;
    }

}


@media screen and (max-width: 991px){

    .each-project::before {
        opacity: 1;
    }

    .service-name h3 {
        font-size: 16px;
    }

    .service-p *{
        font-size: 14px;
    }

    .my-link .mylink * {
        font-size: 12px;
    }

    .whole-experience {
        padding-inline: 50px;
    }

    .large-title * {
        font-size: 22px;
    }


}

@media screen and (max-width: 767px){

    .large-title * {
        font-size: 19px;
        line-height: 27px;
    }

    .all-experiences {
        gap: 49px;
        flex-direction: column;
    }

    .whole-experience {
        padding-inline: 0;
    }

    .bahar-title * {
        font-size: 16px;
        margin-bottom: 14px;
    }

    .additional-title * {
        font-size: 12px;
    }

    .bahar-text p {
        font-size: 13px;
    }

    .ex-item * {
        font-size: 12px;
    }

    .ex-number {
        font-size: 22px;
    }

    .ex-icon svg{
        width: 36px;
        height: 36px;
    }

    .experience {
        padding-block: 45px;
    }

    .each-experience {
        gap: 9px;
    }

    .whole-feature {
        padding-block: 109px;
    }

    .products {
        padding-block: 45px;
    }

}

@media screen and (max-width: 575px){

    .each-project {
        padding-block: 67px;
        padding-inline: 20px;
    }

    .titles .main-title h4 {
        font-size: 15px;
    }

    .titles .baby-title h6 {
        font-family: 'Darvish';
    }

    .products {
        padding-block: 45px 0;
    }

    .large-title * {
        font-size: 17px;
        line-height: 27px;
    }

    .video-banner video {
        height: 613px;
    }

    .experience .row{
        margin: 0;
    }

    .bahar-title * {
        font-size: 15px;
        margin-bottom: 14px;
        line-height: 28px;
    }

    .line-title {
        height: 44px;
        margin-block: 30px 30px;
    }


}



/*responsive*/
/*responsive*/
/*responsive*/
/*responsive*/









